org.jboss.jca.common.api.metadata.resourceadapter

## Interface WorkManagerSecurity

- All Superinterfaces:
    java.io.Serializable

      public interface WorkManagerSecurity
      extends java.io.Serializable

  WorkManager security settings
  Author:
    Jesper Pedersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WorkManagerSecurity.Attribute` An Attribute.
    `static class` | `WorkManagerSecurity.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getDefaultGroups()` Get the default groups
    `java.lang.String` | `getDefaultPrincipal()` Get the default principal
    `java.lang.String` | `getDomain()` Get the domain
    `java.util.Map<java.lang.String,java.lang.String>` | `getGroupMappings()` Get the group mapping
    `java.util.Map<java.lang.String,java.lang.String>` | `getUserMappings()` Get the user mapping
    `boolean` | `isMappingRequired()` Is mapping required

- - ### Method Detail

    - #### isMappingRequired

          boolean isMappingRequired()

      Is mapping required
      Returns:
        The value

    - #### getDomain

          java.lang.String getDomain()

      Get the domain
      Returns:
        The value

    - #### getDefaultPrincipal

          java.lang.String getDefaultPrincipal()

      Get the default principal
      Returns:
        The value

    - #### getDefaultGroups

          java.util.List<java.lang.String> getDefaultGroups()

      Get the default groups
      Returns:
        The value

    - #### getUserMappings

          java.util.Map<java.lang.String,java.lang.String> getUserMappings()

      Get the user mapping
      Returns:
        The value

    - #### getGroupMappings

          java.util.Map<java.lang.String,java.lang.String> getGroupMappings()

      Get the group mapping
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)